Bug 465576 - Channel.software.getDetails says it returns an array of struts
Channel.software.getDetails says it returns an array of struts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-10-03 19:15 EDT by Justin Sherrill
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-10-03 19:15:34 EDT
Channel.software.getDetails does not return an array of struts, it returns 1 struts.  Returning an array would make no sense.

The documentation is wrong.
Comment 1 Brad Buckingham 2009-02-11 09:06:22 EST
git commit:  28b75312116712602962841e345c7f95493b2cb1


Updated the apidoc for both channel.software.getDetails APIs to remove the "array" mentioned.  New docs are:



Method: getDetails
Description:
Returns details of the given channel as a map

Parameters:

    * string sessionKey
    * string channelLabel - channel to query

Returns:

    * struct - channel
          o int "id"
          o string "name"
          o string "label"
          o string "arch_name"
          o string "summary"
          o string "description"
          o string "maintainer_name"
          o string "maintainer_email"
          o string "maintainer_phone"
          o string "support_policy"
          o string "gpg_key_url"
          o string "gpg_key_id"
          o string "gpg_key_fp"
          o string "end_of_life"
          o string "parent_channel_label"

Method: getDetails
Description:
Returns details of the given channel as a map

Parameters:

    * string sessionKey
    * int id - channel to query

Returns:

    * struct - channel
          o int "id"
          o string "name"
          o string "label"
          o string "arch_name"
          o string "summary"
          o string "description"
          o string "maintainer_name"
          o string "maintainer_email"
          o string "maintainer_phone"
          o string "support_policy"
          o string "gpg_key_url"
          o string "gpg_key_id"
          o string "gpg_key_fp"
          o string "end_of_life"
          o string "parent_channel_label"
Comment 2 Sayli Karmarkar 2009-02-16 18:03:04 EST
verified.
Comment 3 Jeff Browning 2009-08-14 10:27:59 EDT
Tested on test1182.test.redhat.com
Comment 4 Brandon Perkins 2009-09-10 15:53:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.